RegistryConstants (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.registry.client.api, interface: RegistryConstants

Package org.apache.hadoop.registry.client.api

# Interface RegistryConstants

All Known Implementing Classes:
  `org.apache.hadoop.registry.client.impl.zk.CuratorService`, `RegistryOperationsClient`, `RegistryOperationsService`

@Public @Evolving public interface RegistryConstants
Constants for the registry, including configuration keys and default values.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final boolean`
  `DEFAULT_DNS_ENABLED`
  Defaut value for enabling the DNS in the Registry: false.
  `static final int`
  `DEFAULT_DNS_PORT`
  Default DNS port number.
  `static final boolean`
  `DEFAULT_DNS_SPLIT_REVERSE_ZONE`
  Default value for splitting the reverse zone.
  `static final String`
  `DEFAULT_DNSSEC_PRIVATE_KEY_FILE`
  Default DNSSEC private key file path.
  `static final String`
  `DEFAULT_REGISTRY_CLIENT_JAAS_CONTEXT`
  default client-side registry JAAS context: "Client".
  `static final boolean`
  `DEFAULT_REGISTRY_SECURE`
  Default registry security policy: false.
  `static final String`
  `DEFAULT_REGISTRY_SYSTEM_ACCOUNTS`
  Default system accounts given global access to the registry: "sasl:yarn@, sasl:mapred@, sasl:hdfs@, sasl:hadoop@".
  `static final String`
  `DEFAULT_REGISTRY_USER_ACCOUNTS`
  Default system acls: "".
  `static final String`
  `DEFAULT_REGISTRY_ZK_QUORUM`
  The default zookeeper quorum binding for the registry: "localhost:2181".
  `static final int`
  `DEFAULT_ZK_CONNECTION_TIMEOUT`
  The default ZK connection timeout: 15000.
  `static final String`
  `DEFAULT_ZK_REGISTRY_ROOT`
  Default root of the Hadoop registry: "/registry".
  `static final int`
  `DEFAULT_ZK_RETRY_CEILING`
  Default limit on retries: 60000.
  `static final int`
  `DEFAULT_ZK_RETRY_INTERVAL`
  The default interval between connection retries: 1000.
  `static final int`
  `DEFAULT_ZK_RETRY_TIMES`
  The default # of times to retry a ZK connection: 5.
  `static final int`
  `DEFAULT_ZK_SESSION_TIMEOUT`
  The default ZK session timeout: 60000.
  `static final String`
  `DNS_PREFIX`
  Prefix for dns-specific options: "hadoop.registry.dns."
  `static final String`
  `KEY_DNS_BIND_ADDRESS`
  DNS bind address.
  `static final String`
  `KEY_DNS_DOMAIN`
  DNS domain name key.
  `static final String`
  `KEY_DNS_ENABLED`
  flag to indicate whether or not the registry should be enabled in the RM: "hadoop.registry.dns.enabled".
  `static final String`
  `KEY_DNS_PORT`
  DNS port number key.
  `static final String`
  `KEY_DNS_SPLIT_REVERSE_ZONE`
  Split Reverse Zone.
  `static final String`
  `KEY_DNS_SPLIT_REVERSE_ZONE_RANGE`
  Split Reverse Zone IP Range.
  `static final String`
  `KEY_DNS_TTL`
  DNS Record TTL.
  `static final String`
  `KEY_DNS_ZONE_IP_MAX`
  Zone subnet IP max.
  `static final String`
  `KEY_DNS_ZONE_IP_MIN`
  Zone subnet IP min.
  `static final String`
  `KEY_DNS_ZONE_MASK`
  Zone subnet mask.
  `static final String`
  `KEY_DNS_ZONE_SUBNET`
  Zone subnet.
  `static final String`
  `KEY_DNS_ZONES_DIR`
  DNS Record TTL.
  `static final String`
  `KEY_DNSSEC_ENABLED`
  DNSSEC Enabled?
  `static final String`
  `KEY_DNSSEC_PRIVATE_KEY_FILE`
  DNSSEC private key file.
  `static final String`
  `KEY_DNSSEC_PUBLIC_KEY`
  DNSSEC Enabled?
  `static final String`
  `KEY_REGISTRY_CLIENT_AUTH`
  Registry client authentication policy.
  `static final String`
  `KEY_REGISTRY_CLIENT_AUTHENTICATION_ID`
  Registry client authentication ID.
  `static final String`
  `KEY_REGISTRY_CLIENT_AUTHENTICATION_PASSWORD`
  Registry client authentication password.
  `static final String`
  `KEY_REGISTRY_CLIENT_JAAS_CONTEXT`
  Key to define the JAAS context.
  `static final String`
  `KEY_REGISTRY_KERBEROS_REALM`
  The kerberos realm: "hadoop.registry.kerberos.realm".
  `static final String`
  `KEY_REGISTRY_SECURE`
  Key to set if the registry is secure: "hadoop.registry.secure".
  `static final String`
  `KEY_REGISTRY_SYSTEM_ACCOUNTS`
  A comma separated list of Zookeeper ACL identifiers with system access to the registry in a secure cluster: "hadoop.registry.system.accounts".
  `static final String`
  `KEY_REGISTRY_USER_ACCOUNTS`
  A comma separated list of Zookeeper ACL identifiers with system access to the registry in a secure cluster: "hadoop.registry.user.accounts".
  `static final String`
  `KEY_REGISTRY_ZK_CONNECTION_TIMEOUT`
  Zookeeper connection timeout in milliseconds: "hadoop.registry.zk.connection.timeout.ms".
  `static final String`
  `KEY_REGISTRY_ZK_QUORUM`
  List of hostname:port pairs defining the zookeeper quorum binding for the registry "hadoop.registry.zk.quorum".
  `static final String`
  `KEY_REGISTRY_ZK_RETRY_CEILING`
  Zookeeper retry limit in milliseconds, during exponential backoff: "hadoop.registry.zk.retry.ceiling.ms".
  `static final String`
  `KEY_REGISTRY_ZK_RETRY_INTERVAL`
  Zookeeper connect interval in milliseconds: "hadoop.registry.zk.retry.interval.ms".
  `static final String`
  `KEY_REGISTRY_ZK_RETRY_TIMES`
  Zookeeper connection retry count before failing: "hadoop.registry.zk.retry.times".
  `static final String`
  `KEY_REGISTRY_ZK_ROOT`
  Root path in the ZK tree for the registry: "hadoop.registry.zk.root".
  `static final String`
  `KEY_REGISTRY_ZK_SESSION_TIMEOUT`
  Zookeeper session timeout in milliseconds: "hadoop.registry.zk.session.timeout.ms".
  `static final int`
  `MAX_FQDN_LABEL_LENGTH`
  Max length of a label (node delimited by a dot in the FQDN).
  `static final String`
  `PATH_SYSTEM_SERVICES`
  path to system services off the root : "/services/".
  `static final String`
  `PATH_USER_SERVICES`
  path to system services under a user's home path : "/services/".
  `static final String`
  `PATH_USERS`
  path to users off the root: "/users/".
  `static final String`
  `REGISTRY_CLIENT_AUTH_ANONYMOUS`
  No authentication; client is anonymous.
  `static final String`
  `REGISTRY_CLIENT_AUTH_DIGEST`
  Username/password is the authentication mechanism.
  `static final String`
  `REGISTRY_CLIENT_AUTH_KERBEROS`
  Registry client uses Kerberos: authentication is automatic from logged in user.
  `static final String`
  `REGISTRY_CLIENT_AUTH_SIMPLE`
  `static final String`
  `REGISTRY_PREFIX`
  prefix for registry configuration options: "hadoop.registry.".
  `static final String`
  `SUBPATH_COMPONENTS`
  path under a service record to point to components of that service: "/components/".
  `static final String`
  `ZK_PREFIX`
  Prefix for zookeeper-specific options: "hadoop.registry.zk."

- ## Field Details

  - ### REGISTRY_PREFIX

    static final String REGISTRY_PREFIX
    prefix for registry configuration options: "hadoop.registry.".
    See Also:
      - Constant Field Values

  - ### ZK_PREFIX

    static final String ZK_PREFIX
    Prefix for zookeeper-specific options: "hadoop.registry.zk."

    For clients using other protocols, these options are not supported.

    See Also:
      - Constant Field Values

  - ### DNS_PREFIX

    static final String DNS_PREFIX
    Prefix for dns-specific options: "hadoop.registry.dns."

    For clients using other protocols, these options are not supported.

    See Also:
      - Constant Field Values

  - ### KEY_DNS_ENABLED

    static final String KEY_DNS_ENABLED
    flag to indicate whether or not the registry should be enabled in the RM: "hadoop.registry.dns.enabled".
    See Also:
      - Constant Field Values

  - ### DEFAULT_DNS_ENABLED

    static final boolean DEFAULT_DNS_ENABLED
    Defaut value for enabling the DNS in the Registry: false.
    See Also:
      - Constant Field Values

  - ### KEY_DNS_DOMAIN

    static final String KEY_DNS_DOMAIN
    DNS domain name key.
    See Also:
      - Constant Field Values

  - ### MAX_FQDN_LABEL_LENGTH

    static final int MAX_FQDN_LABEL_LENGTH
    Max length of a label (node delimited by a dot in the FQDN).
    See Also:
      - Constant Field Values

  - ### KEY_DNS_BIND_ADDRESS

    static final String KEY_DNS_BIND_ADDRESS
    DNS bind address.
    See Also:
      - Constant Field Values

  - ### KEY_DNS_PORT

    static final String KEY_DNS_PORT
    DNS port number key.
    See Also:
      - Constant Field Values

  - ### DEFAULT_DNS_PORT

    static final int DEFAULT_DNS_PORT
    Default DNS port number.
    See Also:
      - Constant Field Values

  - ### KEY_DNSSEC_ENABLED

    static final String KEY_DNSSEC_ENABLED
    DNSSEC Enabled?
    See Also:
      - Constant Field Values

  - ### KEY_DNSSEC_PUBLIC_KEY

    static final String KEY_DNSSEC_PUBLIC_KEY
    DNSSEC Enabled?
    See Also:
      - Constant Field Values

  - ### KEY_DNSSEC_PRIVATE_KEY_FILE

    static final String KEY_DNSSEC_PRIVATE_KEY_FILE
    DNSSEC private key file.
    See Also:
      - Constant Field Values

  - ### DEFAULT_DNSSEC_PRIVATE_KEY_FILE

    static final String DEFAULT_DNSSEC_PRIVATE_KEY_FILE
    Default DNSSEC private key file path.
    See Also:
      - Constant Field Values

  - ### KEY_DNS_ZONE_SUBNET

    static final String KEY_DNS_ZONE_SUBNET
    Zone subnet.
    See Also:
      - Constant Field Values

  - ### KEY_DNS_ZONE_MASK

    static final String KEY_DNS_ZONE_MASK
    Zone subnet mask.
    See Also:
      - Constant Field Values

  - ### KEY_DNS_ZONE_IP_MIN

    static final String KEY_DNS_ZONE_IP_MIN
    Zone subnet IP min.
    See Also:
      - Constant Field Values

  - ### KEY_DNS_ZONE_IP_MAX

    static final String KEY_DNS_ZONE_IP_MAX
    Zone subnet IP max.
    See Also:
      - Constant Field Values

  - ### KEY_DNS_TTL

    static final String KEY_DNS_TTL
    DNS Record TTL.
    See Also:
      - Constant Field Values

  - ### KEY_DNS_ZONES_DIR

    static final String KEY_DNS_ZONES_DIR
    DNS Record TTL.
    See Also:
      - Constant Field Values

  - ### KEY_DNS_SPLIT_REVERSE_ZONE

    static final String KEY_DNS_SPLIT_REVERSE_ZONE
    Split Reverse Zone. It may be necessary to spit large reverse zone subnets into multiple zones to handle existing hosts collocated with containers.
    See Also:
      - Constant Field Values

  - ### DEFAULT_DNS_SPLIT_REVERSE_ZONE

    static final boolean DEFAULT_DNS_SPLIT_REVERSE_ZONE
    Default value for splitting the reverse zone.
    See Also:
      - Constant Field Values

  - ### KEY_DNS_SPLIT_REVERSE_ZONE_RANGE

    static final String KEY_DNS_SPLIT_REVERSE_ZONE_RANGE
    Split Reverse Zone IP Range. How many IPs should be part of each reverse zone split
    See Also:
      - Constant Field Values

  - ### KEY_REGISTRY_SECURE

    static final String KEY_REGISTRY_SECURE
    Key to set if the registry is secure: "hadoop.registry.secure". Turning it on changes the permissions policy from "open access" to restrictions on kerberos with the option of a user adding one or more auth key pairs down their own tree.
    See Also:
      - Constant Field Values

  - ### DEFAULT_REGISTRY_SECURE

    static final boolean DEFAULT_REGISTRY_SECURE
    Default registry security policy: false.
    See Also:
      - Constant Field Values

  - ### KEY_REGISTRY_ZK_ROOT

    static final String KEY_REGISTRY_ZK_ROOT
    Root path in the ZK tree for the registry: "hadoop.registry.zk.root".
    See Also:
      - Constant Field Values

  - ### DEFAULT_ZK_REGISTRY_ROOT

    static final String DEFAULT_ZK_REGISTRY_ROOT
    Default root of the Hadoop registry: "/registry".
    See Also:
      - Constant Field Values

  - ### KEY_REGISTRY_CLIENT_AUTH

    static final String KEY_REGISTRY_CLIENT_AUTH
    Registry client authentication policy.

    This is only used in secure clusters.

    If the Factory methods of `RegistryOperationsFactory` are used, this key does not need to be set: it is set up based on the factory method used.

    See Also:
      - Constant Field Values

  - ### REGISTRY_CLIENT_AUTH_KERBEROS

    static final String REGISTRY_CLIENT_AUTH_KERBEROS
    Registry client uses Kerberos: authentication is automatic from logged in user.
    See Also:
      - Constant Field Values

  - ### REGISTRY_CLIENT_AUTH_DIGEST

    static final String REGISTRY_CLIENT_AUTH_DIGEST
    Username/password is the authentication mechanism. If set then both `KEY_REGISTRY_CLIENT_AUTHENTICATION_ID` and `KEY_REGISTRY_CLIENT_AUTHENTICATION_PASSWORD` must be set.
    See Also:
      - Constant Field Values

  - ### REGISTRY_CLIENT_AUTH_ANONYMOUS

    static final String REGISTRY_CLIENT_AUTH_ANONYMOUS
    No authentication; client is anonymous.
    See Also:
      - Constant Field Values

  - ### REGISTRY_CLIENT_AUTH_SIMPLE

    static final String REGISTRY_CLIENT_AUTH_SIMPLE
    See Also:
      - Constant Field Values

  - ### KEY_REGISTRY_CLIENT_AUTHENTICATION_ID

    static final String KEY_REGISTRY_CLIENT_AUTHENTICATION_ID
    Registry client authentication ID.

    This is only used in secure clusters with `KEY_REGISTRY_CLIENT_AUTH` set to `REGISTRY_CLIENT_AUTH_DIGEST`

    See Also:
      - Constant Field Values

  - ### KEY_REGISTRY_CLIENT_AUTHENTICATION_PASSWORD

    static final String KEY_REGISTRY_CLIENT_AUTHENTICATION_PASSWORD
    Registry client authentication password.

    This is only used in secure clusters with the client set to use digest (not SASL or anonymouse) authentication.

    Specifically, `KEY_REGISTRY_CLIENT_AUTH` set to `REGISTRY_CLIENT_AUTH_DIGEST`

    See Also:
      - Constant Field Values

  - ### KEY_REGISTRY_ZK_QUORUM

    static final String KEY_REGISTRY_ZK_QUORUM
    List of hostname:port pairs defining the zookeeper quorum binding for the registry "hadoop.registry.zk.quorum".
    See Also:
      - Constant Field Values

  - ### DEFAULT_REGISTRY_ZK_QUORUM

    static final String DEFAULT_REGISTRY_ZK_QUORUM
    The default zookeeper quorum binding for the registry: "localhost:2181".
    See Also:
      - Constant Field Values

  - ### KEY_REGISTRY_ZK_SESSION_TIMEOUT

    static final String KEY_REGISTRY_ZK_SESSION_TIMEOUT
    Zookeeper session timeout in milliseconds: "hadoop.registry.zk.session.timeout.ms".
    See Also:
      - Constant Field Values

  - ### DEFAULT_ZK_SESSION_TIMEOUT

    static final int DEFAULT_ZK_SESSION_TIMEOUT
    The default ZK session timeout: 60000.
    See Also:
      - Constant Field Values

  - ### KEY_REGISTRY_ZK_CONNECTION_TIMEOUT

    static final String KEY_REGISTRY_ZK_CONNECTION_TIMEOUT
    Zookeeper connection timeout in milliseconds: "hadoop.registry.zk.connection.timeout.ms".
    See Also:
      - Constant Field Values

  - ### DEFAULT_ZK_CONNECTION_TIMEOUT

    static final int DEFAULT_ZK_CONNECTION_TIMEOUT
    The default ZK connection timeout: 15000.
    See Also:
      - Constant Field Values

  - ### KEY_REGISTRY_ZK_RETRY_TIMES

    static final String KEY_REGISTRY_ZK_RETRY_TIMES
    Zookeeper connection retry count before failing: "hadoop.registry.zk.retry.times".
    See Also:
      - Constant Field Values

  - ### DEFAULT_ZK_RETRY_TIMES

    static final int DEFAULT_ZK_RETRY_TIMES
    The default # of times to retry a ZK connection: 5.
    See Also:
      - Constant Field Values

  - ### KEY_REGISTRY_ZK_RETRY_INTERVAL

    static final String KEY_REGISTRY_ZK_RETRY_INTERVAL
    Zookeeper connect interval in milliseconds: "hadoop.registry.zk.retry.interval.ms".
    See Also:
      - Constant Field Values

  - ### DEFAULT_ZK_RETRY_INTERVAL

    static final int DEFAULT_ZK_RETRY_INTERVAL
    The default interval between connection retries: 1000.
    See Also:
      - Constant Field Values

  - ### KEY_REGISTRY_ZK_RETRY_CEILING

    static final String KEY_REGISTRY_ZK_RETRY_CEILING
    Zookeeper retry limit in milliseconds, during exponential backoff: "hadoop.registry.zk.retry.ceiling.ms". This places a limit even if the retry times and interval limit, combined with the backoff policy, result in a long retry period
    See Also:
      - Constant Field Values

  - ### DEFAULT_ZK_RETRY_CEILING

    static final int DEFAULT_ZK_RETRY_CEILING
    Default limit on retries: 60000.
    See Also:
      - Constant Field Values

  - ### KEY_REGISTRY_SYSTEM_ACCOUNTS

    static final String KEY_REGISTRY_SYSTEM_ACCOUNTS
    A comma separated list of Zookeeper ACL identifiers with system access to the registry in a secure cluster: "hadoop.registry.system.accounts". These are given full access to all entries. If there is an "@" at the end of an entry it instructs the registry client to append the kerberos realm as derived from the login and `KEY_REGISTRY_KERBEROS_REALM`.
    See Also:
      - Constant Field Values

  - ### DEFAULT_REGISTRY_SYSTEM_ACCOUNTS

    static final String DEFAULT_REGISTRY_SYSTEM_ACCOUNTS
    Default system accounts given global access to the registry: "sasl:yarn@, sasl:mapred@, sasl:hdfs@, sasl:hadoop@".
    See Also:
      - Constant Field Values

  - ### KEY_REGISTRY_USER_ACCOUNTS

    static final String KEY_REGISTRY_USER_ACCOUNTS
    A comma separated list of Zookeeper ACL identifiers with system access to the registry in a secure cluster: "hadoop.registry.user.accounts". These are given full access to all entries. If there is an "@" at the end of an entry it instructs the registry client to append the default kerberos domain.
    See Also:
      - Constant Field Values

  - ### DEFAULT_REGISTRY_USER_ACCOUNTS

    static final String DEFAULT_REGISTRY_USER_ACCOUNTS
    Default system acls: "".
    See Also:
      - Constant Field Values

  - ### KEY_REGISTRY_KERBEROS_REALM

    static final String KEY_REGISTRY_KERBEROS_REALM
    The kerberos realm: "hadoop.registry.kerberos.realm". This is used to set the realm of system principals which do not declare their realm, and any other accounts that need the value. If empty, the default realm of the running process is used. If neither are known and the realm is needed, then the registry service/client will fail.
    See Also:
      - Constant Field Values

  - ### KEY_REGISTRY_CLIENT_JAAS_CONTEXT

    static final String KEY_REGISTRY_CLIENT_JAAS_CONTEXT
    Key to define the JAAS context. Used in secure registries: "hadoop.registry.jaas.context".
    See Also:
      - Constant Field Values

  - ### DEFAULT_REGISTRY_CLIENT_JAAS_CONTEXT

    static final String DEFAULT_REGISTRY_CLIENT_JAAS_CONTEXT
    default client-side registry JAAS context: "Client".
    See Also:
      - Constant Field Values

  - ### PATH_USERS

    static final String PATH_USERS
    path to users off the root: "/users/".
    See Also:
      - Constant Field Values

  - ### PATH_SYSTEM_SERVICES

    static final String PATH_SYSTEM_SERVICES
    path to system services off the root : "/services/".
    See Also:
      - Constant Field Values

  - ### PATH_USER_SERVICES

    static final String PATH_USER_SERVICES
    path to system services under a user's home path : "/services/".
    See Also:
      - Constant Field Values

  - ### SUBPATH_COMPONENTS

    static final String SUBPATH_COMPONENTS
    path under a service record to point to components of that service: "/components/".
    See Also:
      - Constant Field Values